Bug 442216 - r200 no longer can enable compiz - GLX_EXT_texture_from_pixmap is missing
r200 no longer can enable compiz - GLX_EXT_texture_from_pixmap is missing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-04-12 17:44 EDT by David Nielsen
Modified: 2008-04-18 09:07 EDT (History)
1 user (show)

See Also:
Fixed In Version: mesa-7.1-0.28.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 09:07:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (59.54 KB, application/octet-stream)
2008-04-12 17:44 EDT, David Nielsen
no flags Details
glxinfo output (78 bytes, application/octet-stream)
2008-04-18 06:45 EDT, David Nielsen
no flags Details
glxinfo output indirect (5.01 KB, application/octet-stream)
2008-04-18 06:46 EDT, David Nielsen
no flags Details

  None (edit)
Description David Nielsen 2008-04-12 17:44:43 EDT
Description of problem:
With a recent update to F9 Rawhide compiz stopped working on my r200. When run
in a terminal compiz reports:

$compiz --replace gconf
compiz (core) - Fatal: GLX_EXT_texture_from_pixmap is missing
compiz (core) - Error: Failed to manage screen: 0
compiz (core) - Fatal: No manageable screens found on display :0.0

Compiz worked on earlier F9 rawhide releases and F8 on the same card.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.8.0-10.fc9.x86_64
xorg-x11-server-Xorg-1.4.99.901-21.20080407.fc9.x86_64

How reproducible:
100%
Comment 1 David Nielsen 2008-04-12 17:44:43 EDT
Created attachment 302241 [details]
Xorg log
Comment 2 Bill Nottingham 2008-04-17 17:15:22 EDT
Please try upgrading to:

mesa-*-7.1-0.25.fc9
xorg-x11-server-Xorg-1.4.99.901-21.20080407.fc9
Comment 3 David Nielsen 2008-04-17 23:55:10 EDT
xorg-x11-server-Xorg-1.4.99.901-22.20080415.fc9.x86_64
mesa-*-7.1-0.25.fc9.x86_64

Same result, no compiz joy.
Comment 4 Dave Airlie 2008-04-18 00:03:04 EDT
can you attach glxinfo output and LIBGL_ALWAYS_INDIRECT=y glxinfo output?
Comment 5 David Nielsen 2008-04-18 06:45:46 EDT
Created attachment 302871 [details]
glxinfo output
Comment 6 David Nielsen 2008-04-18 06:46:16 EDT
Created attachment 302872 [details]
glxinfo output indirect
Comment 7 David Nielsen 2008-04-18 09:07:43 EDT
mesa-7.1-0.28.fc9 fixes this

http://koji.fedoraproject.org/koji/buildinfo?buildID=46557

Note You need to log in before you can comment on or make changes to this bug.